package com.gingersoft.gsa.cloud.ui.adapter.multi;

import com.chad.library.adapter.base.provider.BaseItemProvider;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.gingersoft.gsa.cloud.base.R;
import com.gingersoft.gsa.cloud.bean.InfoMultiBean;

import org.jetbrains.annotations.NotNull;

/**
 * @author 宇航.
 * User: admin
 * Date: 2020/10/29
 * Time: 15:58
 * Use:
 */
public class TitleProvider<T extends InfoMultiBean> extends BaseItemProvider<T> {

    @Override
    public int getItemViewType() {
        return InfoMultiBean.ITEM_TYPE_TITLE;
    }

    @Override
    public int getLayoutId() {
        return R.layout.multi_title;
    }

    @Override
    public void convert(@NotNull BaseViewHolder baseViewHolder, InfoMultiBean infoMultiBean) {
        baseViewHolder.setText(R.id.tv_multi_title, infoMultiBean.getShowTitle());
    }
}
